# $Revision: 1.21 $, $Date: 2004/04/13 21:26:48 $
Summary:	A Window Maker dock app which simplies managing mountable devices
Summary(pl):	Aplikacja dokowalna dla Window Makera do zarzdzania urzdzeniami mountowalnymi
Name:		mountapp
Version:	3.0
Release:	1
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://dl.sourceforge.net/mountapp/%{name}-%{version}.tar.gz
# Source0-md5:	5e507a88e9144ce241a0d7261d4a1d68
Patch0:		%{name}-WINGs.patch
URL:		http://mountapp.sourceforge.net/
BuildRequires:	WindowMaker-devel >= 0.80
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
Obsoletes:	MountApp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Window Maker dock app which allows you to browse all your
mount points and to mount/unmount devices in a simple point and click
manner. Double clicking on the background will bring up a
configuration app written with GTK+.

%description -l pl
MountApp to aplikacja dokowalna Window Makera, pozwalajca przeglda
punkty montowania i w prosty sposb (wska i kliknij) montowa i
odmontowywa je. Podwjne kliknicie w tle wywoa aplikacje
konfigurujc napisana w GTK+.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO README THANKS AUTHORS NEWS ChangeLog 
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mount.app

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mountapp.spec,v $
Revision 1.21  2004/04/13 21:26:48  qboosh
- cosmetics

Revision 1.20  2004/02/05 22:56:20  yogib
- updated to 3.0
- added WINGs patch for configure
- BR: s/libPropList/WindowMaker-devel/

Revision 1.19  2003/05/28 12:59:46  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/06 11:30:21  qboosh
- use http for sources from sourceforge

Revision 1.16  2003/01/18 22:53:35  juandon
- removed two lines with define

Revision 1.15  2002/11/27 22:06:22  juandon
- new %%doc

Revision 1.14  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/05/21 23:14:11  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/25 09:06:54  kloczek
- added regenerate autmake files and !sort BuildRequires rules.

Revision 1.10  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/06 09:31:07  qboosh
- adapterized, cosmetics; release 3

Revision 1.7  2001/10/01 17:27:38  blues
- release 2
- ac2.5 ready
- some translations

Revision 1.6  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.5  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.4  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.3  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.2  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/05/02 19:30:42  kloczek
- changed name from MountApp to mountapp,
- updated to 2.7 (updated alsdo URL and Source url),
- updated BuildRequires list,
- spec rewrited in PLD style.
